### Method

# GLib VariantType key

#### Declaration

    const GVariantType*
    g_variant_type_key (
      const GVariantType* type
    )

#### Description

Determines the key type of a dictionary entry type.

This function may only be used with a dictionary entry type. Other than the additional restriction, this call is equivalent to g_variant_type_first().

#### Return value

Type: `GVariantType`

The key type of the dictionary entry

Since 2.24.

The returned data is owned by the instance.